package cn.stylefeng.team.generator.sdk.template.cache;

import cn.stylefeng.roses.kernel.cache.redis.AbstractRedisCacheOperator;
import cn.stylefeng.team.generator.api.constants.GenerationConstants;
import cn.stylefeng.team.generator.api.pojo.template.GeneratorTemplateGroup;
import org.springframework.data.redis.core.RedisTemplate;

public class TemplateRedisCache extends AbstractRedisCacheOperator<GeneratorTemplateGroup> {

    public TemplateRedisCache(RedisTemplate<String, GeneratorTemplateGroup> redisTemplate) {
        super(redisTemplate);
    }

    @Override
    public String getCommonKeyPrefix() {
        return GenerationConstants.TEMPLATE_CACHE_PREFIX;
    }

}
